Update
PUT/teams/{teamId}
Update a particular team
Body ParametersJSON
defaultUserMaxConsumption: optional number
Team-wide default max consumption (CU) applied to every member over the billing period, overridable per member. Set to null to remove the default.
Update
curl https://api.cloud.scenario.com/v1/teams/$TEAM_ID \
-X PUT \
-H 'Content-Type: application/json' \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
-d '{}'{
"team": {
"id": "id",
"context": {
"invitationsCount": 0,
"keysCount": 0,
"userRole": "admin",
"usersCount": 0
},
"createdAt": "createdAt",
"name": "name",
"plan": "cu-basic",
"projects": [
{
"id": "id",
"createdAt": "createdAt",
"name": "name",
"updatedAt": "updatedAt",
"avatar": {
"assetId": "assetId",
"url": "url"
},
"disableIpDetection": true,
"qualityGateAutoDetect": true
}
],
"type": "personal",
"updatedAt": "updatedAt",
"avatar": {
"assetId": "assetId",
"url": "url"
},
"byok": {
"markupMultiplier": 0,
"updatedAt": "updatedAt",
"updatedBy": "updatedBy"
},
"defaultUserMaxConsumption": 0,
"ipDetectionEnforcement": "active-fail-closed",
"qualityGateAutoDetect": true,
"settings": {
"homepage": {
"foo": "bar"
}
}
}
}Returns Examples
{
"team": {
"id": "id",
"context": {
"invitationsCount": 0,
"keysCount": 0,
"userRole": "admin",
"usersCount": 0
},
"createdAt": "createdAt",
"name": "name",
"plan": "cu-basic",
"projects": [
{
"id": "id",
"createdAt": "createdAt",
"name": "name",
"updatedAt": "updatedAt",
"avatar": {
"assetId": "assetId",
"url": "url"
},
"disableIpDetection": true,
"qualityGateAutoDetect": true
}
],
"type": "personal",
"updatedAt": "updatedAt",
"avatar": {
"assetId": "assetId",
"url": "url"
},
"byok": {
"markupMultiplier": 0,
"updatedAt": "updatedAt",
"updatedBy": "updatedBy"
},
"defaultUserMaxConsumption": 0,
"ipDetectionEnforcement": "active-fail-closed",
"qualityGateAutoDetect": true,
"settings": {
"homepage": {
"foo": "bar"
}
}
}
}